# Filename: gui_options_selection_criteria.py
# Purpose: Validation check for option selected.
# Returns: Void.

from maptek import vulcan_gui

sel = vulcan_gui.selection('Select object')
selection_criteria_mode = 'POLYGON'

assert selection_criteria_mode in vulcan_gui.gui_options.selection_criteria, \
      'ValueError: Invalid selection_criteria mode requested'

prop = vulcan_gui.gui_options.property_values()
print(prop)